【活用ガイド】

JVNDB-2015-005944

FFmpeg の libavcodec/hevc_ps.c の ff_hevc_parse_sps 関数におけるサービス運用妨害 (DoS) の脆弱性

概要

FFmpeg の libavcodec/hevc_ps.c の ff_hevc_parse_sps 関数は、Chroma Format Indicator を検証しないため、サービス運用妨害 (配列の領域外へのアクセス) 状態にされるなど、不特定の影響を受ける脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 7.5 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


FFmpeg
  • FFmpeg 2.8.2 未満

想定される影響

第三者により、巧妙に細工された High Efficiency Video Coding (HEVC) データを介して、サービス運用妨害 (配列の領域外へのアクセス) 状態にされるなど、不特定の影響を受ける可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

FFmpeg
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 不適切な入力確認(CWE-20) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-8217
参考情報

  1. National Vulnerability Database (NVD) : CVE-2015-8217
更新履歴

[2015年11月18日]
  掲載